Package picard.util.IntervalList

# Class IntervalListScattererByIntervalCountWithDistributedRemainder

java.lang.Object
picard.util.IntervalList.IntervalListScattererByIntervalCount
picard.util.IntervalList.IntervalListScattererByIntervalCountWithDistributedRemainder

All Implemented Interfaces:
  `IntervalListScatterer`

public class IntervalListScattererByIntervalCountWithDistributedRemainder extends IntervalListScattererByIntervalCount
Scatters `IntervalList` by into `interval count` shards so that resulting `IntervalList`'s have approximately same number of intervals in them. The "remainder" intervals are distributed over the last lists.

## Constructor Summary

Constructors
Constructor
Description
`IntervalListScattererByIntervalCountWithDistributedRemainder()`

## Method Summary

Modifier and Type
Method
Description
`List<htsjdk.samtools.util.Interval>`
`takeSome(htsjdk.samtools.util.Interval interval, long idealSplitWeight, long currentSize, double projectSizeOfRemaining)`
Figure out how much of the input interval to put into current list and how much to leave for the next interval list.

### Methods inherited from class picard.util.IntervalList.IntervalListScattererByIntervalCount

`deduceIdealSplitWeight, intervalWeight, listWeight`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface picard.util.IntervalList.IntervalListScatterer

`preprocessIntervalList, scatter`

## Constructor Details

### IntervalListScattererByIntervalCountWithDistributedRemainder

public IntervalListScattererByIntervalCountWithDistributedRemainder()

## Method Details

### takeSome

public List<htsjdk.samtools.util.Interval> takeSome(htsjdk.samtools.util.Interval interval, long idealSplitWeight, long currentSize, double projectSizeOfRemaining)
Description copied from interface: `IntervalListScatterer`
Figure out how much of the input interval to put into current list and how much to leave for the next interval list.

Specified by:
  `takeSome` in interface `IntervalListScatterer`
Overrides:
  `takeSome` in class `IntervalListScattererByIntervalCount`
Returns:
  a list of two (possibly null) elements. The first element should be added to the current interval list, the second should be offered to the next interval list.